/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Copyright (C) 2008-2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SelectServersEvent.as 3529 2009-04-23 11:49:00Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.event {

    import org.ow2.jasmine.jadort.client.flex.vo.*;
    import mx.collections.ArrayCollection; 

    public class SelectServersEvent extends JadortEvent {

        /**
         * Name of the Event.
         */
        public static const EVENT_SELECT_SERVERS : String = "selectServers";


        [ArrayElementType(ServerVO)]
         private var _servers : ArrayCollection;

        /**
         * Default constructor.
         */
        public function SelectServersEvent(servers : ArrayCollection) {
            super(EVENT_SELECT_SERVERS);
            this._servers = servers;
        }

        public function get servers() : ArrayCollection {
            return this._servers;
        }

    }

}